### Virtual Method

# Clutter Seat query_state

#### Declaration [src]

    gboolean
    query_state (
      ClutterSeat* seat,
      ClutterInputDevice* device,
      ClutterEventSequence* sequence,
      graphene_point_t* coords,
      ClutterModifierType* modifiers
    )

#### Description

No description available.

#### Parameters

`device`

  Type: `ClutterInputDevice`

  A `ClutterInputDevice`.

  The data is owned by the caller of the method.

`sequence`

  Type: `ClutterEventSequence`

  A `ClutterEventSequence`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`coords`

  Type: `graphene_point_t`

  The coordinates of the pointer.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`modifiers`

  Type: `ClutterModifierType`

  The current `ClutterModifierType` of the pointer.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `device` (or the specific `sequence`) is on the stage, `FALSE` otherwise.